using ClosedXML.Excel;
using TecniStamp.Domain;

namespace TecniStamp.Model;

public class ComuneIstatExcelViewModel
{
    public ComuneIstatExcelViewModel()
    {
        
    }
    public ComuneIstatExcelViewModel(IXLRangeRow row)
    {
        Istat = row.Cell(1).GetString();
        Comune = row.Cell(2).GetString();
        Regione = row.Cell(3).GetString();
        Provincia = row.Cell(4).GetString();
        Prefisso = row.Cell(5).GetString();
        CodFisco = row.Cell(6).GetString();
    }

    public Guid Id { get; set; }
    public string Istat { get; set; }
    public string Comune { get; set; }
    public string Regione { get; set; }
    public string Provincia { get; set; }
    public string Prefisso { get; set; }
    public string CodFisco { get; set; }

    public static implicit operator ComuneIstatExcelViewModel(ComuneIstat model)
    {
        return model == null
            ? null
            : new ComuneIstatExcelViewModel
            {
                Id = model.Id,
                Comune = model.Comune
            };
    }
}